<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: cpp_filrouge_iscj_allemann/include/Character/Necromancer.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7b4dd9274471389300495e9c763ca813.html">cpp_filrouge_iscj_allemann</a></li><li class="navelem"><a class="el" href="dir_e5b3fe71963387781ba01d2a56ee1874.html">include</a></li><li class="navelem"><a class="el" href="dir_8082b9977330bac1504bd0163637bac5.html">Character</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Necromancer.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_necromancer_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_wizard_8hpp.html">./Wizard.hpp</a>&quot;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &quot;../Object/IObject.hpp&quot;</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &quot;../Object/Potion.hpp&quot;</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">using namespace </span>std;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span>He_Arc::RPG</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;{</div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html">   36</a></span>&#160;    <span class="keyword">class </span><a class="code" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html">Necromancer</a> : <span class="keyword">public</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_wizard.html">Wizard</a></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    {</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html#af21473e141a0114dc3e86148b0284a0b">   43</a></span>&#160;        <span class="keyword">const</span> <span class="keywordtype">int</span> COST_MANA_RISE_UNDEADS{2};</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        <a class="code" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html">Necromancer</a>(<span class="keywordtype">int</span> level = 1, <span class="keywordtype">int</span> strength = 3, <span class="keywordtype">int</span> agility = 10, <span class="keywordtype">int</span> intelligence = 16, <span class="keywordtype">int</span> perception = 12, <span class="keywordtype">double</span> hp = 8, <span class="keywordtype">string</span> name = <span class="stringliteral">&quot;no_name&quot;</span>, <span class="keywordtype">int</span> mana = 12, shared_ptr&lt;IObject&gt; <span class="keywordtype">object</span> = make_shared&lt;Potion&gt;(<a class="code" href="class_he___arc_1_1_r_p_g_1_1_potion.html">Potion</a>{<span class="stringliteral">&quot;Normal Potion&quot;</span>, 7}));</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <span class="keyword">virtual</span> ~Necromancer() = <span class="keywordflow">default</span>;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">string</span> GetClassTypeName() <span class="keyword">const override</span>;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        <span class="keywordtype">void</span> RiseUndeads(); <span class="comment">//For now, the spell isn&#39;t supposed to be used, the skill system will got a rework soon</span></div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    };</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;} <span class="comment">// namespace He_Arc::RPG</span></div>
<div class="ttc" id="a_wizard_8hpp_html"><div class="ttname"><a href="_wizard_8hpp.html">Wizard.hpp</a></div><div class="ttdoc">: Header file, for the class &quot;Wizard.cpp&quot;, which one is a type of Hero.</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_necromancer_html"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_necromancer.html">He_Arc::RPG::Necromancer</a></div><div class="ttdoc">Class for the Necromancer, a class of character (Wizard specialisation) The necromancer is a wizard w...</div><div class="ttdef"><b>Definition:</b> Necromancer.hpp:37</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_potion_html"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_potion.html">He_Arc::RPG::Potion</a></div><div class="ttdoc">Class for the potions, contains the stats and capacity of a potion.</div><div class="ttdef"><b>Definition:</b> Potion.hpp:34</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_wizard_html"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_wizard.html">He_Arc::RPG::Wizard</a></div><div class="ttdoc">Class for the Wizard, a class of character (CharacterClass specialisation) The wizards have the abili...</div><div class="ttdef"><b>Definition:</b> Wizard.hpp:36</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
